=== debian/changelog ===
palemoon (29.4.0.1-1.gtk2.mx19) mx; urgency=high

  * This is an out-of-band update to address the following issue:
    In 29.4.0, the optional FUEL component (long since deprecated precursor to
    the Mozilla Add-On SDK) was removed from Pale Moon. This had an unexpected
    impact on a number of popular extensions as well as a few bits of core
    functionality that went unnoticed in our pre-release testing and unstable
    channel.
    As part of our commitment to resolving issues and giving extension
    developers some more time to address any problems with this removal of the
    component from the browser, this update temporarily restores the FUEL
    component.
    If you are an extension developer relying on FUEL components or namespaces
    (e.g. implicit 'Application'), please update your extension before the next
    major release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Aug 2021 12:30:49 -0700

palemoon (29.4.0-1) UNRELEASED; urgency=medium

  * Import new development, bugfix and security release:
    - Implemented promise.allSettled().
    - Implemented global origin on windows and workers.
    - Improved performance of memory allocations.
    - Updated libcubeb to the current development version. This improves OSS
      compatibility and addresses potential crashes, performance issues and
      security issues.
    - Updated SQLite to 3.36.0.
    - Improved thread safety of the web content cache. DiD
    - Added several fixes to avoid potential crashes and security issues. DiD
    - Unified XUL Platform Mozilla Security Patch Summary: 5 DiD, 12 not 
      applicable.
  * Though nonparallel builds aren't needed in these gtk2 builds, since newer
    distrelease builds are all going to be all gtk3, inherit the new 
    mozconfig-nonparallel filename from there anyway, since Bullseye and Hirsute
    now have the same make issue.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Aug 2021 12:30:34 -0700
