## palemoon 29.4.0.2

=== debian/changelog ===
palemoon (29.4.0.2-1.gtk3.mx21) mx; urgency=medium

  * This is an out-of-band update to address the following issue:
     In rare occasions on both Linux and Windows, audio would stop working (e.g.
     for playing videos or MP3s). We're still investigating the root cause of
     this issue on Windows (Linux cause was already found) but have temporarily
     reverted to our previous audio library (libcubeb) version for this release
     to provide a proper media experience for our users in the interim.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Aug 2021 12:20:32 -0700

palemoon (29.4.0.1-1.gtk3.mx21) mx; urgency=high

  * This is an out-of-band update to address the following issue:
    In 29.4.0, the optional FUEL component (long since deprecated precursor to
    the Mozilla Add-On SDK) was removed from Pale Moon. This had an unexpected
    impact on a number of popular extensions as well as a few bits of core
    functionality that went unnoticed in our pre-release testing and unstable
    channel.
    As part of our commitment to resolving issues and giving extension
    developers some more time to address any problems with this removal of the
    component from the browser, this update temporarily restores the FUEL
    component.
    If you are an extension developer relying on FUEL components or namespaces
    (e.g. implicit 'Application'), please update your extension before the next
    major release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Aug 2021 12:30:49 -0700
