=== debian/control ===
--- 
+++ 
@@ -10,16 +10,19 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-               libgtk2.0-dev (>= 2.14),
+               libgtk-3-dev (>= 3.0.4),
+               libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
                lsb-release,
                mesa-common-dev,
                pkg-config,
-               python (>= 2.7) | python2 (>= 2.7.18-2~),
+# The following alternatives work for the OBS and manual builds, but you will
+# have to have just one of the appropriate alternatives for sbuilds.
+               python2 (>= 2.7.18-2~) | python (>= 2.7),
                unzip,
-               yasm (>= 1.1),
+               yasm,
                zip
 Standards-Version: 3.9.6
 Homepage: http://www.palemoon.org/
