## palemoon 29.4.2

=== debian/changelog ===
palemoon (29.4.2-1.gtk3.mx21) mx; urgency=medium

  * This is a security update:
    - Fixed a spec compliance issue with IDN that could potentially cause
      confusion of domain names.
    - Fixed several intermittent thread sanity issues. DiD
    - Fixed a potential UAF risk in certain situations in networking. DiD
    - Fixed a potential crash risk (not exposed). DiD
    - Fixed a potential spoofing risk using form validation. (CVE-2021-38508)
    - Fixed a script sandbox escape issue through XSLT. (CVE-2021-38503)
    - Added a preference to enable compatibility mode with earlier TLS 1.3
      specifications.
    - Unified XUL Platform Mozilla Security Patch Summary: 3 fixed, 1 already
      applied, 4 DiD, 7 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Nov 2021 14:27:52 -0800

palemoon (29.4.1-2.gtk3) obs; urgency=medium

  * Add support for Impish, and have it and Sid build with gcc-10.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Oct 2021 12:48:45 -0700

palemoon (29.4.1-1.gtk3) obs; urgency=high

  * This is a security update:
   - Fixed potential crashes. DiD
   - Fixed a potential indirect exploit of Microsoft Internet Explorer.

  * Drop the armhf fix patch--applied upstream.
  * Bring the mozconfigs closer to what appears on the PM devs site.
  * Don't enable av1/aom on Jessie or Xenial builds; they FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Sep 2021 15:46:14 -0700
