=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
                debhelper (>= 9),
+               g++-10 | g++,
+               gcc-10 | gcc,
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
@@ -18,12 +20,11 @@
                lsb-release,
                mesa-common-dev,
                pkg-config,
-# The following alternatives work for the OBS and manual builds, but you will
-# have to have just one of the appropriate alternatives for sbuilds.
                python2 (>= 2.7.18-2~) | python (>= 2.7),
                unzip,
                yasm,
                zip
+Build-Conflicts: gcc-11, g++-11
 Standards-Version: 3.9.6
 Homepage: http://www.palemoon.org/
