=== debian/rules ===
--- 
+++ 
@@ -10,19 +10,19 @@
 	find . -name '*.pyc' -delete
 	rm -f mozconfig
 
-# Build with gcc-8 on releases where default gcc is >= 9
-# distrelease := $(shell lsb_release -cs)
-# ifeq ($(distrelease),$(filter $(distrelease),focal))
-# export CC=gcc-8
-# export CXX=g++-8
-# export CPP=cpp-8
-# export LD=gcc-8
-# endif
+# Build with gcc-10 on releases where default gcc is 11
+distrelease := $(shell lsb_release -cs)
+ifeq ($(distrelease),$(filter $(distrelease),sid impish))
+export CC=gcc-10
+export CXX=g++-10
+export CPP=cpp-10
+export LD=gcc-10
+endif
 
 # Use a custom mozconfig for newer releases to build with one thread.
 # Builds on Debian derivatives may have to add their own distrelease codename.
 distrelease := $(shell lsb_release -cs)
-ifeq ($(distrelease),$(filter $(distrelease),sid bookworm bullseye groovy hirsute))
+ifeq ($(distrelease),$(filter $(distrelease),sid bookworm bullseye groovy hirsute impish))
 override_dh_auto_configure:
 	cp debian/mozconfig-nonparallel debian/mozconfig
 endif
