## palemoon 29.4.2.1

=== debian/changelog ===
palemoon (29.4.2.1-1.gtk2.mx19) mx; urgency=medium

  * This is a small update to address the folowing issue:
    - Autocomplete drop-downs would have uncorrect styling, causing issues with
      custom themes (e.g. unreadable) and not displaying as-intended.

  * Add revert-mach-file.patch to fix FTBFS.
  * Added some special control files for normal and distreleases with gcc-11 
    such as Sid so one set of sources fits all again.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Nov 2021 11:33:46 -0800

palemoon (29.4.2-1.gtk2) obs; urgency=medium

  * This is a security update:
    - Fixed a spec compliance issue with IDN that could potentially cause
      confusion of domain names.
    - Fixed several intermittent thread sanity issues. DiD
    - Fixed a potential UAF risk in certain situations in networking. DiD
    - Fixed a potential crash risk (not exposed). DiD
    - Fixed a potential spoofing risk using form validation. (CVE-2021-38508)
    - Fixed a script sandbox escape issue through XSLT. (CVE-2021-38503)
    - Added a preference to enable compatibility mode with earlier TLS 1.3
      specifications.
    - Unified XUL Platform Mozilla Security Patch Summary: 3 fixed, 1 already
      applied, 4 DiD, 7 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Nov 2021 14:27:52 -0800
