=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
                debhelper (>= 9),
-               g++-10 | g++,
-               gcc-10 | gcc,
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-               libgtk-3-dev (>= 3.0.4),
+#               libgtk-3-dev (>= 3.14),
                libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
@@ -24,7 +22,6 @@
                unzip,
                yasm,
                zip
-Build-Conflicts: gcc-11, g++-11
 Standards-Version: 3.9.6
 Homepage: http://www.palemoon.org/
