## palemoon 29.4.3

=== debian/changelog ===
palemoon (29.4.3-1.gtk3.mx21) mx; urgency=medium

  * This is a security update with a few extras. This update reinstates FUEL
    again for old extension compatibility:
    - Restored the FUEL abstraction library again.
    - Added some extra sanity checks to timers and text fragments. DiD
    - Added a potential crash safeguard in program threading logic. DiD
    - Fixed the following security issues: CVE-2021-43537, CVE-2021-43541,
      CVE-2021-43536, CVE-2021-43545 and CVE-2021-43542.
    - Unified XUL Platform Mozilla Security Patch Summary: 5 fixed, 3 DiD,
      10 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Dec 2021 13:01:37 -0800

palemoon (29.4.2.1-1.gtk2) obs; urgency=medium

  * This is a small update to address the folowing issue:
    - Autocomplete drop-downs would have uncorrect styling, causing issues with
      custom themes (e.g. unreadable) and not displaying as-intended.

  * Add revert-mach-file.patch to fix FTBFS.
  * Added some special control files for normal and distreleases with gcc-11 
    such as Sid so one set of sources fits all again.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Nov 2021 11:33:46 -0800
