=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,16 @@
 	dh_auto_clean
 	find . -name '*.pyc' -delete
 	rm -f mozconfig
+	cp debian/control.normal debian/control
 
 # Build with gcc-10 on releases where default gcc is 11
 distrelease := $(shell lsb_release -cs)
-ifeq ($(distrelease),$(filter $(distrelease),sid impish))
+ifeq ($(distrelease),$(filter $(distrelease),sid bookworm impish))
 export CC=gcc-10
 export CXX=g++-10
 export CPP=cpp-10
 export LD=gcc-10
+	cp debian/control.sid debian/control
 endif
 
 # Use a custom mozconfig for newer releases to build with one thread.
