=== debian/changelog ===
palemoon (29.4.4-1.gtk3.mx21) mx; urgency=medium

  * This is a security update:
    - Improved application library loading security. DiD
    - Fixed an issue in JavaScript serialization. DiD
    - Fixed a potential out-of-bounds issue in IndexedDB. DiD
    - Fixed a potential issue in widget data handling code. DiD
    - Fixed potentially exploitable crashes in handling truncated/corrupt media
      files or streams.
    - Fixed an issue in the DOM FileReader code.
    - Updated NSS to 3.52.3 to address a security issue.
    - Fixed the following security issues: CVE-2022-22736, CVE-2022-22741,
      CVE-2021-4140, CVE-2022-22746, CVE-2022-22744 and CVE-2022-22747.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Jan 2022 11:39:31 -0800

palemoon (29.4.3-1.1.gtk3) obs; urgency=medium

  * Restore the single-threaded build for distreleases with the problem "make"
    to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Dec 2021 12:07:03 -0800

palemoon (29.4.3-1.gtk2) obs; urgency=medium

  * This is a security update with a few extras. This update reinstates FUEL
    again for old extension compatibility:
    - Restored the FUEL abstraction library again.
    - Added some extra sanity checks to timers and text fragments. DiD
    - Added a potential crash safeguard in program threading logic. DiD
    - Fixed the following security issues: CVE-2021-43537, CVE-2021-43541,
      CVE-2021-43536, CVE-2021-43545 and CVE-2021-43542.
    - Unified XUL Platform Mozilla Security Patch Summary: 5 fixed, 3 DiD,
      10 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Dec 2021 13:01:37 -0800

palemoon (29.4.2.1-1.gtk3) obs; urgency=medium

  * This is a small update to address the following issue:
    - Autocomplete drop-downs would have uncorrect styling, causing issues with
      custom themes (e.g. unreadable) and not displaying as-intended.

  * Add revert-mach-file.patch to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Nov 2021 11:33:46 -0800
