=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
+               libgtk2.0-dev (>= 2.18),
                libgtk-3-dev (>= 3.14),
-               libgtk2.0-dev (>= 2.18),
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
                lsb-release,
                mesa-common-dev,
                pkg-config,
-               python2,
+               python2 (>= 2.7.18-2~) | python (>= 2.7),
                unzip,
                yasm,
                zip
