## palemoon 29.4.5.1

=== debian/changelog ===
palemoon (29.4.5.1-1.gtk3.mx21) mx; urgency=medium

  * Bugfix update to address performance issues due to caching.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Mar 2022 10:58:55 -0700

palemoon (29.4.5-1.gtk3) obs; urgency=medium

  * This is a security update:
    - Changes/fixes:
      - Fixed several application crash scenarios.
      - Fixed a number of thread locking/mutex issues.
      - Fixed a leak of content types due to inconsistent error reporting.
        (CVE-2022-22760)
      - Fixed an issue with iframe sandboxing not being properly applied.
        (CVE-2022-22759)
      - Fixed a potential leak of bookmarks from the exported bookmarks file if
        it included a malicious bookmarklet.
      - Fixed an issue with drag-and-drop. (CVE-2022-22756)
      - Fixed a potential crash due to truncated WAV files.
      - Fixed a memory safety issue with XSLT. (CVE-2022-26485)

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Mar 2022 13:42:25 -0700
