## palemoon 29.4.6

=== debian/changelog ===
palemoon (29.4.6-1.gtk3.mx21) mx; urgency=medium

  * This is a security and bugfix update:
    - Changes/fixes:
    - Fixed a potential crash issue on bing.com.
    - Updated NSS to 3.52.4 to address security issues.
    - Fixed some thread locking issues. DiD
    - Worked around a Mesa driver bug that could cause crashes.
    - Fixed a potential resource access issue in devtools. DiD
    - Security issues with CVEs addressed: CVE-2022-1097, CVE-2022-28285 (DiD)
      and CVE-2022-28283 (DiD).

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Apr 2022 10:39:10 -0700
