## palemoon 31.0.0

=== debian/changelog ===
palemoon (31.0.0-1.gtk3.mx21) mx; urgency=medium

  * Major milestone release:
    - Once again accepts the installation of legacy Firefox extensions alongside
      own Pale Moon exclusive extensions. As always, please note that using
      extensions for an old version of a different browser is entirely at your
      own risk and we obviously cannot and will not provide much (if any)
      support for their use. Firefox extensions will be indicated with an
      orange dot in the Add-ons Manager in the browser. This will include the
      converted extensions for the few of you who are coming from recalled
      versions with -fxguid suffixes.
    - Implemented Global Privacy Control, taking the place of the unenforceable
      "DNT" (Do Not Track) signal. Through GPC, you indicate to websites that
      you do not want them to share or sell your data.
    - Implemented "optional chaining" (thanks, FranklinDM!).
    - Implemented setBaseAndExtent for text selections.
    - Implemented queueMicroTask() "pseudo-promise" callbacks.
    - Implemented accepting unit-less values for rootMargin in Intersection
      observers for web compatibility, making it act more like CSS margin as one
      would expect.
    - Improvements to CSS grid and flexbox rendering and display following spec
      changes and improving web compatibility.
    - Improved performance of parallel web workers in JavaScript.
    - Improved display of cursive scripts (on Windows). Good-bye Comic Sans!
    - Updated various in-tree libraries.
    - "Default browser" controls in preferences has been moved to "General".
    - Added support for extended VPx codec strings in media delivery via
      MSE (RFC-6381).
    - Fixed a long-time regression where the browser would no longer honor
      old-style body and iframe body margins when indicated in the HTML tags
      directly instead of CSS. This improves compatibility with particularly old and/or archived websites.
    - Fixed several crashes and stability issues.
    - Added a licensing screen to the Windows installer to clarify the browser's
      licensing. In other installations, you may find this licensing statement
      in the added license.txt file in the browser installation location.
    - Removed all Google SafeBrowsing/URLClassifier service code.
    - Restored Mac OS X code and buildability in the platform.
    - Removed the non-standard ArchiveReader DOM API that was only ever a
      prototype implementation from the platform. This potentially improves
      performance on some systems.
    - Removed leftover Electrolysis controls that could sometimes trick parts of
      the browser into starting in a (very broken) multi-process mode due to
      some plumbing for it still being present, if users would try to force the
      issue with preferences. Obviously, this was a footgun for power users.
    - Removed more Android/Fennec code (on-going effort to clean up our code).
    - Removed the Marionette automated testing framework.
    -  Security issues addressed: CVE-2022-29915, CVE-2022-29911, and several
       issues that do not have a CVE number.
    - UXP Mozilla security patch summary: 4 fixed, 1 DiD, 19 not applicable.

  * Disable all patches.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 May 2022 13:08:59 -0700

palemoon (29.4.6-1.gtk2) obs; urgency=medium

  * This is a security and bugfix update:
    - Changes/fixes:
    - Fixed a potential crash issue on bing.com.
    - Updated NSS to 3.52.4 to address security issues.
    - Fixed some thread locking issues. DiD
    - Worked around a Mesa driver bug that could cause crashes.
    - Fixed a potential resource access issue in devtools. DiD
    - Security issues with CVEs addressed: CVE-2022-1097, CVE-2022-28285 (DiD)
      and CVE-2022-28283 (DiD).

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Apr 2022 10:39:10 -0700

palemoon (29.4.5.1-1.gtk2) obs; urgency=medium

  * Bugfix update to address performance issues due to caching.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Mar 2022 10:58:55 -0700

palemoon (29.4.5-1.gtk2) obs; urgency=medium

  * This is a security update:
    - Changes/fixes:
      - Fixed several application crash scenarios.
      - Fixed a number of thread locking/mutex issues.
      - Fixed a leak of content types due to inconsistent error reporting.
        (CVE-2022-22760)
      - Fixed an issue with iframe sandboxing not being properly applied.
        (CVE-2022-22759)
      - Fixed a potential leak of bookmarks from the exported bookmarks file if
        it included a malicious bookmarklet.
      - Fixed an issue with drag-and-drop. (CVE-2022-22756)
      - Fixed a potential crash due to truncated WAV files.
      - Fixed a memory safety issue with XSLT. (CVE-2022-26485)

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Mar 2022 13:42:25 -0700
