=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
-               libgtk-3-dev (>= 3.14),
                libgtk2.0-dev (>= 2.18),
+               libgtk-3-dev,
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
